Bonjour à tous,

C’est un évènement dans le monde du Libre : le 14 Février, la distribution Linux Debian est passée en version 5.0. Cette version répond au doux nom de Lenny.

Les particularités de Debian

Pour ceux qui ne connaissent pas bien Debian, c’est une distribution Linux largement réputée pour sa stabilité. Cette stabilité est issue de la particularité de son développement. Il n’y a pas une version mais 3, classées par niveau de stabilité. -La distribution stable, dont les logiciels ont étés testés pendant plusieurs années. Une distribution stable n’est modifiée que pour corriger d’éventuels bugs ou failles de sécurité, mais sans changer le comportement général du logiciel (il n’y a donc pas de fichier de configuration à modifier par exemple). C’est idéal pour les serveurs. -La version “testing”, future stable. Elle est mise à jour plus régulièrement, mais pas énormément non plus. On la gèle quelques mois avant qu’elle ne sorte en stable. Pendant la période de gels, tous les développeurs s’acharnent à trouver tous les bugs et les corriger. -La version “unstable”, en évolution permanente. Elle est mise à jour très régulièrement, avec tous les risques de bugs que cela comporte (mais bon, pas plus qu’une autre distribution ou un autre OS on va dire ;) ).

Lenny passe de Testing à Stable

Après quelques mois de retard, Debian Lenny est maintenant la nouvelle version stable de Debian. Pour ceux qui étaient restés avec Etch, pas mal de changements sont étés faits, car en 2 ans les logiciels ont énormément le temps d’évoluer ;) .

Voici la liste des modifications. Les plus importantes sont la mise à jour du noyau Linux vers la version 2.6.26, pour supporter du matériel plus récent et le passage de GCC en version 4.3.2 . La GNU C Library passe quant à elle en version 2.7.

À noter que Lenny dispose désormais d’un Live CD, pour tester la distribution sans l’installer. Attention, le téléchargement de ce dernier est très lent !

KDE 4, le grand absent

L’environnement de bureau KDE 4 sera absent de Debian Lenny. La principale cause est le fait que la version 4.2 soit trop récente, et les autres versions de la branche 4 ne soient pas assez stables. On retrouve donc KDE 3.5.10 dans Debian Lenny.